### Function

# Gimp detach_parasite

since: 2.8

#### Declaration [src]

    gboolean
    gimp_detach_parasite (
      const gchar* name
    )

#### Description [src]

Removes a global parasite.

This procedure detaches a global parasite.

It will return `FALSE` if `name` is invalid (`NULL` or empty string) and `TRUE` otherwise (even if there was no parasite removed, because no parasite was named like this).

Available since: 2.8

#### Parameters

`name`

  Type: `const gchar*`

  The name of the parasite to detach.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

TRUE on success.